Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TextAppearance Class Reference

A GtkTextAppearance C++ wrapper class. More...

`#include <xfc/gtk/texttag.hh>`

List of all members.

## Public Member Functions

Accessors

- GtkTextAppearance * gtk_text_appearance () const
    Get a pointer to the GtkTextAppearance structure.
- Gdk::Color bg_color () const
    Gets the text background color.
- Gdk::Color fg_color () const
    Gets the text forground color.
- Gdk::Bitmap * bg_stipple () const
    Gets the text background stipple bitmap, or null if there isn't one.
- Gdk::Bitmap * fg_stipple () const
    Gets the text forground stipple bitmap, or null if there isn't one.
- int rise () const
    Gets the super/subscript rise, can be negative.
- Pango::Underline underline () const
    Get the current pango underline value.
- bool strikethrough () const
    Returns whether the text has strike through enabled.

Methods

- void set_colors (const Gdk::Color &fg_color, const Gdk::Color &bg_color)
    Set the text foreground and background colors.
- void set_bg_color (const Gdk::Color &color)
    Set the text background color.
- void set_fg_color (const Gdk::Color &color)
    Set the text foreground color.
- void set_stipple (const Gdk::Bitmap &fg_mask, const Gdk::Bitmap &bg_mask)
    Set the text foreground and background stipple bitmaps.
- void set_bg_stipple (const Gdk::Bitmap &mask)
    Set the text background stipple bitmap.
- void set_fg_stipple (const Gdk::Bitmap &mask)
    Set the text foreground stipple bitmap.
- void set_rise (int rise)
    Sets the super/subscript rise.
- void set_underline (Pango::Underline underline)
    Sets the Pango::Underline type.
- void set_strikethrough (bool setting)
    Sets whether the text should have strike through enabled.

## Detailed Description

A GtkTextAppearance C++ wrapper class.

TextAppearance is used to describe the attributes of the some text. You can get the text appearance attributes by calling Gtk::TextAttributes::appearance().

## Member Function Documentation

void Xfc::Gtk::TextAppearance::set_bg_color | ( | const Gdk::Color & | color | ) |

Set the text background color.

Parameters:

  | color | The background color.

void Xfc::Gtk::TextAppearance::set_bg_stipple | ( | const Gdk::Bitmap & | mask | ) |

Set the text background stipple bitmap.

Parameters:

  | mask | The background bitmap.

void Xfc::Gtk::TextAppearance::set_colors | ( | const Gdk::Color & | fg_color,
|  | const Gdk::Color & | bg_color
| ) |

Set the text foreground and background colors.

Parameters:

  | fg_color | The foreground color.
  | bg_color | The background color.

void Xfc::Gtk::TextAppearance::set_fg_color | ( | const Gdk::Color & | color | ) |

Set the text foreground color.

Parameters:

  | color | The foreground color.

void Xfc::Gtk::TextAppearance::set_fg_stipple | ( | const Gdk::Bitmap & | mask | ) |

Set the text foreground stipple bitmap.

Parameters:

  | mask | The foreground bitmap.

void Xfc::Gtk::TextAppearance::set_rise | ( | int | rise | ) |

Sets the super/subscript rise.

Parameters:

  | rise | The rise, can be negative.

void Xfc::Gtk::TextAppearance::set_stipple | ( | const Gdk::Bitmap & | fg_mask,
|  | const Gdk::Bitmap & | bg_mask
| ) |

Set the text foreground and background stipple bitmaps.

Parameters:

  | fg_mask | The foreground bitmap.
  | bg_mask | The background bitmap.

void Xfc::Gtk::TextAppearance::set_strikethrough | ( | bool | setting | ) |

Sets whether the text should have strike through enabled.

Parameters:

  | setting | true to enable strike through.

void Xfc::Gtk::TextAppearance::set_underline | ( | Pango::Underline | underline | ) |

Sets the Pango::Underline type.

Parameters:

  | underline | One of the values from the Pango::Underline enumeration.

The documentation for this class was generated from the following file:

- texttag.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3